//
//  SAScreenLockView.h
//  SAScreenLock
//
//  Created by 余西安 on 14/12/27.
//  Copyright (c) 2014年 Sian. All rights reserved.
//

#import <UIKit/UIKit.h>

/***************代理协议***************/

@class SAScreenLockView;

@protocol SAScreenLockViewDelegate <NSObject>

- (void)screenLock:(SAScreenLockView *)screenLockView didFinishPaht:(NSNumber *)path;

@end

/***************圆圈控件***************/

@interface SACircle : UIButton

@end

/***************解锁视图***************/

@interface SAScreenLockView : UIView

@property (nonatomic, weak) id<SAScreenLockViewDelegate> delegate;

- (id)initWithDelegate:(id<SAScreenLockViewDelegate>)delegate;

@end